# Class Echo

java.lang.Object
org.jmol.shape.Shape
org.jmol.shape.TextShape
org.jmol.shape.Echo

public class Echo extends TextShape

## Field Summary

Fields
Modifier and Type
Field
Description
`Text`
`scaleObject`

### Fields inherited from class TextShape

`objects, thisID`

### Fields inherited from class Shape

`bsColixSet, bsSizeSet, isBioShape, ms, myType, RADIUS_MAX, shapeID, translucentAllowed, translucentLevel, vf, vwr`

## Constructor Summary

Constructors
Constructor
Description
`Echo()`

## Method Summary

Modifier and Type
Method
Description
`boolean`
`getPropertyData(String property, Object[] data)`
`Object`
`getShapeDetail()`
`void`
`initShape()`
`void`
`setProperty(String propertyName, Object value, BS bs)`

### Methods inherited from class TextShape

`checkObjectClicked, checkObjectHovered, getShapeState, initModelSet, setModelVisibilityFlags, setPropTS`

### Methods inherited from class Shape

`appendCmd, checkBoundsMinMax, checkObjectDragged, coordinateInRange, encodeColor, findNearestAtomIndex, getColix, getColixA, getColixB, getColixI, getColorCommand, getColorCommandUnk, getFontCommand, getIndexFromName, getProperty, getPropShape, getSize, getSizeG, getTranslucentLabel, initializeShape, replaceGroup, setAtomClickability, setModelSet, setProperties, setPropS, setShapeSizeRD, setSize, setSizeRD, wasClicked`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### scaleObject

public Text scaleObject

## Constructor Details

### Echo

public Echo()

## Method Details

### initShape

public void initShape()

Specified by:
  `initShape` in class `Shape`

### setProperty

public void setProperty(String propertyName, Object value, BS bs)

Specified by:
  `setProperty` in class `Shape`

### getPropertyData

public boolean getPropertyData(String property, Object[] data)

Overrides:
  `getPropertyData` in class `Shape`
Parameters:
  `property` -
  `data` -
Returns:
  true if serviced

### getShapeDetail

public Object getShapeDetail()

Overrides:
  `getShapeDetail` in class `Shape`